Subject: RE: bug#18318: 24.4.50; doc of `file-readable-p'

From: Drew Adams <[email-masked]>
Date: Sat, 30 Apr 2016 09:32:01 -0800 (GMT-08:00)

> > It is (I think) far more common for a file or directory name
> > (string) to be passed as an argument than it is for a FIFO,
> > device node, etc. to be passed.  The directory case is common,
> > and the doc misleads.
> 
> Why do you say it misleads?  A directory is just a kind of file (the
> manual explains that, if the user doesn't already know).  So I see
> nothing misleading here.

Sure, a directory is also a file.  But it is a special kind
of file.  What is misleading is that a reader might well not
think that a directory name will return a non-nil value, and
so assume that s?he can do things with it such as insert its
contents in a buffer etc.

It's about being a bit clearer; that's all.